---
title: Presenter Output
---

### Presenter Output

This section will show you how to use the decorated value provided by the `\Anomaly\IconFieldType\IconFieldTypePresenter` class.

#### Loading Icon Styles

To load the icon styles you can bring your own optimized stylesheet or use our comprehensive stylesheet by adding them to your asset pipeline: 

```
app(Anomaly\Streams\Platform\Asset::class)
    ->add('styles.css', 'anomaly.field_type.icon::css/icons.css');
```

#### IconFieldTypePresenter::html()

The `html` method returns the icon HTML.

###### Returns: `string`

###### Example

```php
$decorated->example->html();
```

```twig
{{ decorated.example.html()|raw }}
```

An optional `$attributes` parameter can also be passed:

```php
$decorated->example->html([
    'class' => 'appended-class',
    'data-toggle' => 'modal',
]);
```

```twig
{{ decorated.example.html({
    'class': 'appended-class',
    'data-toggle': 'modal',
})|raw }}
```
